import { AppGlobalAN, } from '../constants'
import { AppGlobalStateM, } from '../../models/stateModels'
import { VoicePrankCategoryMobE, } from '../../models/mobileModels'


export default class AppGlobalAC
{
    static setState(state: AppGlobalStateM)
    {
        return {
            type: AppGlobalAN.SET_STATE,
            payload: state,
        }
    }

    static changeLangKey(langKey: 'az' | 'ru' | 'en')
    {
        return {
            type: AppGlobalAN.CHANGE_LANG_KEY,
            payload: langKey,
        }
    }

    static changeVoicePrankCategory(voicePrankCategory: VoicePrankCategoryMobE)
    {
        return {
            type: AppGlobalAN.CHANGE_VOICE_PRANK_CATEGORY,
            payload: voicePrankCategory,
        }
    }

}
